Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82285 - Updated kernel 2.4.18-19.7.x/athlon - X reboots/crashes box
Summary: Updated kernel 2.4.18-19.7.x/athlon - X reboots/crashes box
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: http://www.malibyte.net
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-20 21:50 UTC by Bob Sully
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:25 UTC


Attachments (Terms of Use)

Description Bob Sully 2003-01-20 21:50:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
Recently upgraded two Athlon boxes, both running 7.3, to the new
2.4.18-19.7.x-athlon kernels.  One runs fine.  The other boots fine (runlevel
3), but crashes (hard lock) when I try to run X (with the stock kernel binary)
or reboots the machine (with a custom-compiled kernel using your kernel-source
rpm).  The machine which works fine is an old 900MHz Athlon on an Asus A7 Pro
motherboard and uses an old ATI Rage-128 based video card.  The malfunctioning
box uses an IWill KK266 motherboard, and Athlon 1900+, and an ATI Radeon 7500
video board.  This latter machine worked fine for months with your old 2.4.18-3
i386 kernel custom-compiled for the Athlon; it also works fine, so far, without
a hitch using Linus' 2.4.20 kernel (retrieved from kernel.org).

Version-Release number of selected component (if applicable): 2.4.18-19.7.x
kernel binaries for Athlon; RedHat Linux 7.3 base system


How reproducible:
Always

Steps to Reproduce:
1. Reboot affected machine with the 2.4.18-19.7.x-athlon kernel (runlevel 3). 
2. startx
3. With the stock kernel binary, it simply crashes; with a custom-compile, it
reboots.
    

Actual Results:  see above.  Booting with the old 2.4.18-3 kernel (stock binary
or custom compiled) or Linus' 2.4.20 kernel resolves the issue.

Expected Results:  Normal operation

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:25 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.